const l = "wallet_url", c = () => window.localStorage.getItem(l) || window.env?.webWalletUrl || window.blocklet?.webWalletUrl || "https://web.abtwallet.io/", w = (t) => {
  const { protocol: e } = window.location;
  let o = "";
  try {
    o = new URL(t).protocol;
  } catch {
    o = "";
  }
  return e === o;
};
export {
  w as checkSameProtocol,
  c as getWebWalletUrl,
  l as providerName
};
